Debian Bug report logs - #498475
libsnmp-base ships MIB files licensed under a restrictive license

Package: snmp-mibs-downloader; Maintainer for snmp-mibs-downloader is Jochen Friedrich <jochen@scram.de>; Source for snmp-mibs-downloader is src:snmp-mibs-downloader.

Reported by: Vincent Bernat <bernat@debian.org>

Date: Wed, 10 Sep 2008 09:57:54 UTC

Severity: serious

Tags: lenny-ignore

Done: Jochen Friedrich <jochen@scram.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
New Bug report received and forwarded. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsnmp-base ships MIB files licensed under a restrictive license
Date: Wed, 10 Sep 2008 11:37:49 +0200
Package: libsnmp-base
Version: 5.4.1~dfsg-9
Severity: serious
Justification: Policy 2.1

Hi!

libsmi2-common contains a lot of MIB licensed under a restrictive
license. I did not look at all of them but many of them are from IETF
and are licensed in the same manner as the corresponding RFC.
Those RFC are non-free:
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=199810
 http://wiki.debian.org/NonFreeIETFDocuments
  
I will ask an etch-ignore tag for this bug for lenny since it is too
late for any correction.

Possible correction could be (a mix of):
 - wipe comments and description of all MIB
 - rewrite them and ship only essentials one
 - move the non essential MIB to non-free
Non solution includes:
 - don't ship them at all (the package will be unusable)
 - ship the whole package in non-free (a lot of packages will go
   into contrib and no support would be provided)

Another similar bug report will be filed against libsmi-common that has
the same problem.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 498475@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: debian-release@lists.debian.org
Cc: 498476@bugs.debian.org, 498475@bugs.debian.org
Subject: Lenny-Ignore tag request for SNMP related bugs
Date: Wed, 10 Sep 2008 12:03:01 +0200
[Message part 1 (text/plain, inline)]
Hi!

I have just opened two bugs against libsmi-common and libsnmp-base:
 http://bugs.debian.org/498476
 http://bugs.debian.org/498475

Those packages  ship MIB files that  are non-free (same  license as IETF
RFC).  However, there is  no quick  fix: removing  those files  make the
packages unusable,  moving to non-free  make a lot of  important package
(snmpd) move to contrib, etc.

I think we should fix this issue after Lenny. Therefore, I would like to
tag those bugs with lenny-ignore.

Thanks.
-- 
No fortunes found
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 498475@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Vincent Bernat <bernat@debian.org>, debian-legal@lists.debian.org
Cc: debian-release@lists.debian.org, 498475@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#498475: Lenny-Ignore tag request for SNMP related bugs
Date: Mon, 15 Sep 2008 19:27:44 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Vincent,

> I have just opened two bugs against libsmi-common and libsnmp-base:
>  http://bugs.debian.org/498476
>  http://bugs.debian.org/498475
> 
> Those packages  ship MIB files that  are non-free (same  license as IETF
> RFC).  However, there is  no quick  fix: removing  those files  make the
> packages unusable,  moving to non-free  make a lot of  important package
> (snmpd) move to contrib, etc.
> 
> I think we should fix this issue after Lenny. Therefore, I would like to
> tag those bugs with lenny-ignore.

IMHO things are even worse.

Looking at the MIB License at http://www.ietf.org/copyrights/ianamib.html,
it appears to me that any modification of the MIBs is prohibited, including
fixing syntactic errors. On the other hand, net-snmp-5.4.1/mibs/Makefile.mib
which can be used to refresh the included MIB file applies a patch to the
dowloaded MIBs which fixes those errors. Wouldn't this even make distributing
libsnmp-base in non-free problematic?

Thanks,
Jochen
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iQEVAwUBSM6bBcP9a9GOLSE6AQJEKAf/b3vl6nMuFy3wd9DVKt3pn+bW+hxjcIZC
1nRYv5xQLStXkDd3IpP7CSMz3ANTzj5oqtmmxwtSWbZzmzAUedCkUES71gEpO49D
gAFl2BBlS+jFFyugPVet/13NTJm5xFR7A7CfGlLmnC0BS0BzPLu+XnYZ+DzUXLos
Tvb+Gh18+iUCNYZNkLy/7uitXDMzUAAYB9GmWa/26LSHEmkulepSrwfadd1Fep9T
8Wi9gToLs0XNMrqze8N9ZAuGur9O1xcz4OPBosTab1ppzSDecOBBP0/GtIfum/Sp
7lzbrjcDWP9OfIwCihZuD+LcPH1H+BIcu+N6qRA3zlwFqLQyIxPRaw==
=bq65
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. Full text and rfc822 format available.

Acknowledgement sent to Wes Hardaker <hardaker@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 498475@bugs.debian.org (full text, mbox):

From: Wes Hardaker <hardaker@users.sourceforge.net>
To: Vincent Bernat <bernat@debian.org>, debian-legal@lists.debian.org
Cc: debian-release@lists.debian.org, 498475@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#498475: Lenny-Ignore tag request for SNMP related bugs
Date: Mon, 15 Sep 2008 17:05:25 -0700
The MIBs are not technically necessary for the SNMP protocol itself to
work.  In fact, most of the SNMP agent's functionality is just fine
without installed MIBs.  The command line clients, however, are far less
useful (still usable, but much more of a pain for the operator).

If you want to get really nasty about the legal issues, consider the
following snippit from RFC3414 (picking one at random, since they all
have this issue):

  usmStatsWrongDigests OBJECT-TYPE



  Blumenthal & Wijnen         Standards Track                    [Page 38]
  ^L
  RFC 3414                     USM for SNMPv3                December 2002


      SYNTAX       Counter32
      MAX-ACCESS   read-only

Note how the RFC format inserts headings within the MIB itself.  It's
unclear to me, from a perfectly legal definition, if the copyright on
the "MIB" includes the page break markings.  I'll let a lawyer answer
that additional problem...


Anyway, there is one other solution:

Distribute the snmp packages without any MIBs in place but with a
auto-post-installation tool that could go grab all the RFCs, extract the
MIBs, modify them so they're not broken and then install them on the
system.  That only removes the "free" problem aspect from the
distribution itself and leaves it up to the user whether to run the
post-installation tool to make the tools significantly more usable but
reduce the "freeness" of the system (and you could even print a nice
friendly warning).


The crux of the problem is there is nothing you can do to fix it because
the problem stems from far upstream (the IETF Trust), which is beyond
the bounds of anything any of us control.  Maybe your lawyer should talk
to their lawyer and beg for a solution and explain the problem.

(it's actually been discussed in the past surrounding code-snippits in
various RFCs that are indented to be used by the author, but the IETF
stamps it with a less-usable license).

-- 
"In the bathtub of history the truth is harder to hold than the soap,
 and much more difficult to find."  -- Terry Pratchett




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. (Sun, 21 Sep 2008 08:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Sun, 21 Sep 2008 08:51:02 GMT) Full text and rfc822 format available.

Message #25 received at 498475@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: debian-release@lists.debian.org, 498476@bugs.debian.org, 498475@bugs.debian.org
Subject: Re: Lenny-Ignore tag request for SNMP related bugs
Date: Sun, 21 Sep 2008 10:45:00 +0200
tag 498475 + lenny-ignore
tag 498476 + lenny-ignore
thanks

* Vincent Bernat (bernat@debian.org) [080910 12:08]:
> Those packages  ship MIB files that  are non-free (same  license as IETF
> RFC).  However, there is  no quick  fix: removing  those files  make the
> packages unusable,  moving to non-free  make a lot of  important package
> (snmpd) move to contrib, etc.

I fear you're right. :(


Cheers,
Andi




Tags added: lenny-ignore Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. (Sun, 21 Sep 2008 08:51:04 GMT) Full text and rfc822 format available.

Tags added: lenny-ignore Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 21 Sep 2008 10:36:21 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. (Sun, 16 Aug 2009 12:48:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. (Sat, 22 Aug 2009 15:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Sat, 22 Aug 2009 15:09:09 GMT) Full text and rfc822 format available.

Message #36 received at 498475@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 498475@bugs.debian.org, 498476@bugs.debian.org
Subject: MIB files licensed under a restrictive license
Date: Sat, 22 Aug 2009 17:06:25 +0200
Hi

It seems the Net-SNMP Packaging Team has found a solution to this
license problem as #498475 was recently tagged pending.

Can you please share the solution with the libsmi maintainer so we can
have both bugs fixed soon, TIA?

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. (Tue, 25 Aug 2009 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Tue, 25 Aug 2009 16:27:09 GMT) Full text and rfc822 format available.

Message #41 received at 498475@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 498476@bugs.debian.org, 498475@bugs.debian.org
Subject: Re: Bug#498476: MIB files licensed under a restrictive license
Date: Tue, 25 Aug 2009 18:16:51 +0200
[Message part 1 (text/plain, inline)]
OoO Lors de la soirée naissante  du samedi 22 août 2009, vers 17:06, Luk
Claes <luk@debian.org> disait :

> It seems the Net-SNMP Packaging Team has found a solution to this
> license problem as #498475 was recently tagged pending.

> Can you please share the solution with the libsmi maintainer so we can
> have both bugs fixed soon, TIA?

I have  found the fix in  SVN repository for  net-snmp package. Net-SNMP
comes with a makefile to download  and install MIB. This makefile is now
shipped in place of MIBs.
-- 
BOFH excuse #248:
Too much radiation coming from the soil.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. (Tue, 25 Aug 2009 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Tue, 25 Aug 2009 17:30:03 GMT) Full text and rfc822 format available.

Message #46 received at 498475@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Vincent Bernat <bernat@debian.org>, 498475@bugs.debian.org
Cc: Luk Claes <luk@debian.org>, 498476@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#498475: Bug#498476: MIB files licensed under a restrictive license
Date: Tue, 25 Aug 2009 19:27:03 +0200
Hi Vincent,

> I have  found the fix in  SVN repository for  net-snmp package. Net-SNMP
> comes with a makefile to download  and install MIB. This makefile is now
> shipped in place of MIBs.

That's true. Before uploading, I just want to add some installation 
dialog asking the user if the MIBS should be downloaded now or if the 
user wants to do this later or by hand.

The same could be done for SMI, as well. Or both could even be combined 
(making libsnmp-base only ship the NET-SNMP and former UCD MIBS 
integrated into the libsmi MIB tree). This would at least avoid the need 
to store these non-free MIBs twice in case both packages are being used.

Thanks,
Jochen




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. (Tue, 25 Aug 2009 17:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Tue, 25 Aug 2009 17:54:06 GMT) Full text and rfc822 format available.

Message #51 received at 498475@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Jochen Friedrich <jochen@scram.de>
Cc: 498476@bugs.debian.org, 498475@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: Re: Bug#498476: [Pkg-net-snmp-devel] Bug#498475: Bug#498476: MIB files licensed under a restrictive license
Date: Tue, 25 Aug 2009 19:52:03 +0200
[Message part 1 (text/plain, inline)]
Hi Jochen!

OoO Pendant le repas du mardi 25 août 2009, vers 19:27, Jochen Friedrich
<jochen@scram.de> disait :

>> I have  found the fix in  SVN repository for  net-snmp package. Net-SNMP
>> comes with a makefile to download  and install MIB. This makefile is now
>> shipped in place of MIBs.

> That's true. Before uploading, I just want to add some installation
> dialog asking the user if the MIBS should be downloaded now or if the
> user wants to do this later or by hand.

> The same could be done for SMI, as well. Or both could even be
> combined (making libsnmp-base only ship the NET-SNMP and former UCD
> MIBS integrated into the libsmi MIB tree). This would at least avoid
> the need to store these non-free MIBs twice in case both packages are
> being used.

Yes, it would be  nice. libsmi is a bit picky on  MIB names. It does not
like the filename  being prefixed by ".txt" because it  does not seem to
parse the file to get real  MIB name (except if you explicitely load the
file).  On  the  other  hand,  some  people may  rely  on  the  complete
filename. I  need to think  a bit about  this. Maybe a simple  patch for
libsmi would do the trick. Upstream is easy to work with.

I also think we should try to  get a package pulling MIB (maybe the user
could  select  them  too)  that  would  be used  by  both  net-snmp  and
libsmi.  libsmi  seems  to ship  more  MIB  but  there is  no  automated
mechanism to fetch them.  Therefore, it  should be easier to use the one
From NetSNMP.
-- 
Make input easy to proofread.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Jochen Friedrich <jochen@scram.de>:
You have taken responsibility. (Mon, 16 Nov 2009 21:57:12 GMT) Full text and rfc822 format available.

Notification sent to Vincent Bernat <bernat@debian.org>:
Bug acknowledged by developer. (Mon, 16 Nov 2009 21:57:12 GMT) Full text and rfc822 format available.

Message #56 received at 498475-close@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: 498475-close@bugs.debian.org
Subject: Bug#498475: fixed in net-snmp 5.4.2.1~dfsg-1
Date: Mon, 16 Nov 2009 21:55:33 +0000
Source: net-snmp
Source-Version: 5.4.2.1~dfsg-1

We believe that the bug you reported is fixed in the latest version of
net-snmp, which is due to be installed in the Debian FTP archive:

libsnmp-base_5.4.2.1~dfsg-1_all.deb
  to main/n/net-snmp/libsnmp-base_5.4.2.1~dfsg-1_all.deb
libsnmp-dev_5.4.2.1~dfsg-1_sparc.deb
  to main/n/net-snmp/libsnmp-dev_5.4.2.1~dfsg-1_sparc.deb
libsnmp-perl_5.4.2.1~dfsg-1_sparc.deb
  to main/n/net-snmp/libsnmp-perl_5.4.2.1~dfsg-1_sparc.deb
libsnmp-python_5.4.2.1~dfsg-1_sparc.deb
  to main/n/net-snmp/libsnmp-python_5.4.2.1~dfsg-1_sparc.deb
libsnmp15-dbg_5.4.2.1~dfsg-1_sparc.deb
  to main/n/net-snmp/libsnmp15-dbg_5.4.2.1~dfsg-1_sparc.deb
libsnmp15_5.4.2.1~dfsg-1_sparc.deb
  to main/n/net-snmp/libsnmp15_5.4.2.1~dfsg-1_sparc.deb
net-snmp_5.4.2.1~dfsg-1.diff.gz
  to main/n/net-snmp/net-snmp_5.4.2.1~dfsg-1.diff.gz
net-snmp_5.4.2.1~dfsg-1.dsc
  to main/n/net-snmp/net-snmp_5.4.2.1~dfsg-1.dsc
net-snmp_5.4.2.1~dfsg.orig.tar.gz
  to main/n/net-snmp/net-snmp_5.4.2.1~dfsg.orig.tar.gz
snmp_5.4.2.1~dfsg-1_sparc.deb
  to main/n/net-snmp/snmp_5.4.2.1~dfsg-1_sparc.deb
snmpd_5.4.2.1~dfsg-1_sparc.deb
  to main/n/net-snmp/snmpd_5.4.2.1~dfsg-1_sparc.deb
tkmib_5.4.2.1~dfsg-1_all.deb
  to main/n/net-snmp/tkmib_5.4.2.1~dfsg-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 498475@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jochen Friedrich <jochen@scram.de> (supplier of updated net-snmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Nov 2009 18:29:10 +0100
Source: net-snmp
Binary: snmpd snmp libsnmp-base libsnmp15 libsnmp15-dbg libsnmp-dev libsnmp-perl libsnmp-python tkmib
Architecture: source all sparc
Version: 5.4.2.1~dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
Changed-By: Jochen Friedrich <jochen@scram.de>
Description: 
 libsnmp-base - SNMP (Simple Network Management Protocol) MIBs and documentation
 libsnmp-dev - SNMP (Simple Network Management Protocol) development files
 libsnmp-perl - SNMP (Simple Network Management Protocol) Perl5 support
 libsnmp-python - SNMP (Simple Network Management Protocol) Python support
 libsnmp15  - SNMP (Simple Network Management Protocol) library
 libsnmp15-dbg - SNMP (Simple Network Management Protocol) library debug
 snmp       - SNMP (Simple Network Management Protocol) applications
 snmpd      - SNMP (Simple Network Management Protocol) agents
 tkmib      - SNMP (Simple Network Management Protocol) MIB browser
Closes: 498475 516801 520724 528106 528107 531056 541366
Changes: 
 net-snmp (5.4.2.1~dfsg-1) unstable; urgency=low
 .
   * New upstream version
     - includes patch for CVE-2008-6123 (Closes: #516801)
   * remove patches applied upstream:
     - 55_cve2008_4309.patch
     - 54_fix_xen.patch
     - 53_fix_python_regression.patch
     - 52_suppress_registration_warnings.patch
     - 51_allow_g_groupname.patch
     - 50_cve2008_0960.patch
     - 49_cve2008_2292_python.patch
     - 48_cve2008_2292_perl.patch
     - 47_prevent_partial_inserts.patch
     - 46_ifname_crop.patch
     - 45_process_race.patch
     - 43_snmp_logging.patch
     - 41_snmptrapd_close_handles.patch
   * Updated patches:
     - 31_silence_subcontainer.patch: Use upstream changeset 17254
     - 25_duplicate_iftable.patch: Regenerated
     - 03_makefiles.patch: Install Makefile.mib
   * Removed non-free MIBS from distribution (Closes: #498475)
   * Add debug package
   * Implement "status" action in the init.d script. (Closes: #528107)
     Thanks to Peter Eisentraut <petere@debian.org> for the patch
   * Fix LSB dependencies (Closes: #541366). Thanks to Petter Reinholdtsen
     <pere@hungry.com> for the patch.
   * Let snmpd run as group snmp (Closes: #520724). Thanks to Russell Coker
     <russell@coker.com.au> for the patch.
   * Update standards version to 3.8.3.
   * Get rid off lintian warnings.
   * Fix memory leak when multiple interfaces have the same IPv6 address,
     such as link-local addresses when VLAN subinterfaces are in use.
     (Closes: #531056). Thanks to John Morrissey <jwm@horde.net> for the
     patch.
   * Rework build system (Closes: #528106)
   * Change default configuration to make snmp daemons run without MIBs.
Checksums-Sha1: 
 bd265e158dc18635d2b69cbeabcdf6960b2d9d53 1816 net-snmp_5.4.2.1~dfsg-1.dsc
 e893160942ed4d99c23e4c6dddac72a32353a7fc 4368243 net-snmp_5.4.2.1~dfsg.orig.tar.gz
 b21c43ac86b3fda7d1cab495573dddd25ab2164d 49628 net-snmp_5.4.2.1~dfsg-1.diff.gz
 de5da4d61437f1d76f05f4a2805a19c8fe766148 1089658 libsnmp-base_5.4.2.1~dfsg-1_all.deb
 49ada6c27c88acc197d5393bdeed512a456f4717 959510 tkmib_5.4.2.1~dfsg-1_all.deb
 c446aeff6f6def1061f868481bb905607d2883db 973446 snmpd_5.4.2.1~dfsg-1_sparc.deb
 51389f5933889bd496c0544598dd16a817395017 1057268 snmp_5.4.2.1~dfsg-1_sparc.deb
 9f1646fcb39af008bc6b8bd40cac0110a4531390 2042918 libsnmp15_5.4.2.1~dfsg-1_sparc.deb
 6d3b7a49bf7aac268ed91bf344b36eab896c312d 2219734 libsnmp15-dbg_5.4.2.1~dfsg-1_sparc.deb
 158fd0604c3631dd83da4f55fb97a4db9cc85b0f 2663102 libsnmp-dev_5.4.2.1~dfsg-1_sparc.deb
 c855f3a463331c5b2765feb7b929a6ae28103ec0 1047354 libsnmp-perl_5.4.2.1~dfsg-1_sparc.deb
 ece3ef8bf5fd0776ee1e70f354363f90517e778f 932888 libsnmp-python_5.4.2.1~dfsg-1_sparc.deb
Checksums-Sha256: 
 1011bac4fbdd062aec9ff3ddc0395c5d0666209b8ebc71c11982f2d50537272a 1816 net-snmp_5.4.2.1~dfsg-1.dsc
 78724b7a23db0976f57dd73d10c00bba5cc526aaab65c095d22c848ff4ba752f 4368243 net-snmp_5.4.2.1~dfsg.orig.tar.gz
 007ab518f31f4ce71ad767d3e1717c532160bac42d1234b5e2444edeb0d86547 49628 net-snmp_5.4.2.1~dfsg-1.diff.gz
 f89aa5faa36174ecdb0f24f55f90ed208a7936dc2eadce8b3a637b1afe673c4f 1089658 libsnmp-base_5.4.2.1~dfsg-1_all.deb
 3680dfc5564d0600cc701addb26a265e949b5b5ff10b93844f1cdbada45bc492 959510 tkmib_5.4.2.1~dfsg-1_all.deb
 39a6597740feef55130a094a0fff5faee16f1fe6bb2ef7a211008bdc8e68cce9 973446 snmpd_5.4.2.1~dfsg-1_sparc.deb
 beeec96e53e8c59f211ada6cdd1d79ccaacd31fe3d53c83a3d21022e310261cd 1057268 snmp_5.4.2.1~dfsg-1_sparc.deb
 b1408650fdd2a11bbdadad06334ed225aa9054ca51501b24cf5f7b597ee902fd 2042918 libsnmp15_5.4.2.1~dfsg-1_sparc.deb
 76e4f65be7338491f8c79efc880bfdf4bd540098211e7beb2d73cf7ad4c50463 2219734 libsnmp15-dbg_5.4.2.1~dfsg-1_sparc.deb
 d47a4d3a076dbaae3e9bcff088f0af19d3858577584e1a28a17150376f0914a5 2663102 libsnmp-dev_5.4.2.1~dfsg-1_sparc.deb
 d02ac2ba83e9da03fd66b9db492d3bcaea94e000cf8fbb6973453cb07d40198c 1047354 libsnmp-perl_5.4.2.1~dfsg-1_sparc.deb
 a3f1bf354f18f65c29ab2c93c3c65384aafcbe7fd3b8e58a52da4c2758731176 932888 libsnmp-python_5.4.2.1~dfsg-1_sparc.deb
Files: 
 8c53f206b7eef64c8d260fa2ebc9b362 1816 net optional net-snmp_5.4.2.1~dfsg-1.dsc
 2ce0ad3c6e13360a23a0dd49c7f7504b 4368243 net optional net-snmp_5.4.2.1~dfsg.orig.tar.gz
 3c1c824e3585ff8b1a0ebe93d656a203 49628 net optional net-snmp_5.4.2.1~dfsg-1.diff.gz
 5385624bb1fb1cc735493583bd2478ee 1089658 libs optional libsnmp-base_5.4.2.1~dfsg-1_all.deb
 3c67b1c428df3e2fd0de6316a884f1bf 959510 net optional tkmib_5.4.2.1~dfsg-1_all.deb
 93a30abb0dd67fdd153ac3fbfebcd754 973446 net optional snmpd_5.4.2.1~dfsg-1_sparc.deb
 9e18bd44144b849186b2834f4aa2a957 1057268 net optional snmp_5.4.2.1~dfsg-1_sparc.deb
 9572a313202adc40375d87d75a5173cd 2042918 libs optional libsnmp15_5.4.2.1~dfsg-1_sparc.deb
 a4092f58333c5965a963a4ae66683e97 2219734 debug extra libsnmp15-dbg_5.4.2.1~dfsg-1_sparc.deb
 426e28790da190956d338c22ddf9ae29 2663102 libdevel optional libsnmp-dev_5.4.2.1~dfsg-1_sparc.deb
 868c604b7ae12af373b2407e982b3b22 1047354 perl optional libsnmp-perl_5.4.2.1~dfsg-1_sparc.deb
 c3510ab90f5b6eb652d887c901318acc 932888 python optional libsnmp-python_5.4.2.1~dfsg-1_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK+Tta0fhX0Y/ocz0RAiJQAJ92GJukHRTCBKf0Jrm/vK7kAt3M+ACgj/fR
jRdw0urB5nJkLRt3Srohpo8=
=agIt
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. (Fri, 11 Dec 2009 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Darren Hoo <darren.hoo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Fri, 11 Dec 2009 02:21:03 GMT) Full text and rfc822 format available.

Message #61 received at 498475@bugs.debian.org (full text, mbox):

From: Darren Hoo <darren.hoo@gmail.com>
To: 498475 <498475@bugs.debian.org>
Subject: will you please package libsmi-mibs-nonfree?
Date: Fri, 11 Dec 2009 10:19:26 +0800
Dear Maintainer,

I found that the bug was fixed while the package snmp-mibs-downloader
is still in ITP.

Personally I would prefer a  libsmi-mibs-nonfree package.from my experience
with packages like ttf-mscorefonts-installer or flash-plugin-installer,
Using download script is always frustrating to those people like me who
has an unstable  Internet connection,if download fails,it always renders the
packages broken.

Please package libsmi-mibs-nonfree,Thanks!


--
Darren




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#498475; Package libsnmp-base. (Fri, 11 Dec 2009 15:21:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Fri, 11 Dec 2009 15:21:15 GMT) Full text and rfc822 format available.

Message #66 received at 498475@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Darren Hoo <darren.hoo@gmail.com>, 498475@bugs.debian.org
Subject: Re: Bug#498475: will you please package libsmi-mibs-nonfree?
Date: Fri, 11 Dec 2009 12:52:46 +0100
[Message part 1 (text/plain, inline)]
On Dec 11, Darren Hoo <darren.hoo@gmail.com> wrote:

> Personally I would prefer a  libsmi-mibs-nonfree package.from my experience
> with packages like ttf-mscorefonts-installer or flash-plugin-installer,
> Using download script is always frustrating to those people like me who
> has an unstable  Internet connection,if download fails,it always renders the
> packages broken.
Indeed, I work next door to a major internet exchange and downloading
everything with snmp-mibs-downloader was still unacceptably slow.
It is also a very bad practice to distribute a package which will
automatically download files from web sites of third parties, both
because they could become unreachable over the life of the package and
because the people managing them may not like the additional traffic.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'libsnmp-base' to 'snmp-mibs-downloader'. Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. (Fri, 11 Dec 2009 16:54:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions net-snmp/5.4.1~dfsg-9. Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. (Fri, 11 Dec 2009 16:54:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions net-snmp/5.4.2.1~dfsg-1. Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. (Fri, 11 Dec 2009 16:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#498475; Package snmp-mibs-downloader. (Fri, 11 Dec 2009 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Fri, 11 Dec 2009 17:12:03 GMT) Full text and rfc822 format available.

Message #77 received at 498475@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Marco d'Itri <md@Linux.IT>, 498475@bugs.debian.org
Cc: Darren Hoo <darren.hoo@gmail.com>, Vincent Bernat <bernat@debian.org>, control@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#498475: will you please package libsmi-mibs-nonfree?
Date: Fri, 11 Dec 2009 17:45:37 +0100
reassign 498475 snmp-mibs-downloader
thanks

Hi Marco,

> Indeed, I work next door to a major internet exchange and downloading
> everything with snmp-mibs-downloader was still unacceptably slow.
> It is also a very bad practice to distribute a package which will
> automatically download files from web sites of third parties, both
> because they could become unreachable over the life of the package and
> because the people managing them may not like the additional traffic.

I'm thinking about including an archive containing the RFCs required to
extract the MIBs to the downloader package and leave it optional to the
user to update the IANA MIBs to the newest ones from the Internet.

Thanks,
Jochen




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#498475; Package snmp-mibs-downloader. (Wed, 23 Dec 2009 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Brazziel <dbrazziel@snet.net>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Wed, 23 Dec 2009 23:45:03 GMT) Full text and rfc822 format available.

Message #82 received at 498475@bugs.debian.org (full text, mbox):

From: Dominique Brazziel <dbrazziel@snet.net>
To: 498475@bugs.debian.org
Subject: I can't find either of these things anywhere
Date: Wed, 23 Dec 2009 18:43:05 -0500
Where is 'snmp-mibs-downloader'?  Where is  'libsmi-mibs-nonfree'?
Searching for either of them in 'non-free' and 'any' resulted in
nothing.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jan 2010 07:36:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:13:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.